<?php
namespace Ep\Woo\View;

/**
 * Onaj Draženov slavni prikaz proizvoda :).
 *
 * @package Ep\Woo\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class ContentProduct extends AbstractView
{
    /** @var array */
    protected $templatePartOverrides = [
        'content-product.php',
    ];

    /**
     * Renderira proizvod.
     *
     * @return string
     */
    public function render(): string
    {
        /** @var \WC_Product $product */
        global $product;

        if (!$product->is_visible()) {
            return '';
        }

        return $this->renderer->render('@woo/content-product.html.twig', [
            'out_of_stock' => get_post_meta($product->get_id(), '_stock_status', true) === 'outofstock',
            'out_of_stock_label' => __('Out of stock', 'woocommerce'),
            'product_sku' => $product->get_sku(),
            'product_url' => get_permalink($product->get_id()),
            'short_description' => wp_trim_words($product->get_short_description(), 15),
        ]);
    }
}