<?php
namespace Ep\Woo\View;

/**
 * Class SaleBadge
 *
 * @package Ep\Woo\View
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-woocommerce
 */
class SaleBadge extends AbstractView
{
    /** @var array */
    protected $templateOverrides = [
        'loop/sale-flash.php',
    ];

    /**
     * Renderira badge.
     *
     * @return string
     */
    public function render(): string
    {
        /** @var \WC_Product $product */
        global $product;

        if (!$product || !$product->is_on_sale()) {
            return '';
        }

        switch(get_theme_mod('bubble_style', 'style1')) {
            case 'style1':
            default:
                $style = 'circle';
                break;
            case 'style2':
                $style = 'square';
                break;
            case 'style3':
                $style = 'frame';
                break;
        }

        if (get_theme_mod('sale_bubble_percentage') && function_exists('flatsome_presentage_bubble')) {
            $content = flatsome_presentage_bubble($product);
        } else {
            $content = get_theme_mod('sale_bubble_text', __('Sale!', 'woocommerce'));
        }

        return $this->renderer->render('@woo/sale-badge.html.twig', [
            'content' => $content,
            'style' => $style,
        ]);
    }
}